org.apache.lucene.search

## Class BoostAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.search.BoostAttributeImpl

- All Implemented Interfaces:
    Cloneable, BoostAttribute, Attribute

      public final class BoostAttributeImpl
      extends AttributeImpl
      implements BoostAttribute

  Implementation class for `BoostAttribute`.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoostAttributeImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears the values in this AttributeImpl and resets it to its default value.
    `void` | `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
    `float` | `getBoost()` Retrieves the boost, default is `1.0f`.
    `void` | `setBoost(float boost)` Sets the boost in this attribute

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `clone, reflectAsString, reflectWith`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoostAttributeImpl

          public BoostAttributeImpl()

  - ### Method Detail

    - #### setBoost

          public void setBoost(float boost)

      Description copied from interface: `BoostAttribute`
      Sets the boost in this attribute
      Specified by:
        `setBoost` in interface `BoostAttribute`

    - #### getBoost

          public float getBoost()

      Description copied from interface: `BoostAttribute`
      Retrieves the boost, default is `1.0f`.
      Specified by:
        `getBoost` in interface `BoostAttribute`

    - #### clear

          public void clear()

      Description copied from class: `AttributeImpl`
      Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.
      Specified by:
        `clear` in class `AttributeImpl`

    - #### copyTo

          public void copyTo(AttributeImpl target)

      Description copied from class: `AttributeImpl`
      Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.
      Specified by:
        `copyTo` in class `AttributeImpl`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.